#pragma once
#include <QTableWidget>
#include <vector>
#include "../sensors/sensor.h"

class SensorListWidget : public QTableWidget
{
	Q_OBJECT

	bool showHidden_;

public:

	SensorListWidget(const bool showHidden = true, QWidget *parent = nullptr);
	SensorListWidget(SensorStore& sensorStore, const bool showHidden = true, QWidget* parent = nullptr);
	virtual ~SensorListWidget() {}
	void setShowHidden(const bool showHidden);

public slots:

	void sensorsChanged(std::vector<Sensor> sensors);

};
